Package org.apache.ignite.spi.communication.tcp.internal

## Class HandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.spi.communication.tcp.internal.HandshakeException

All Implemented Interfaces:
  `Serializable`

    public class HandshakeException
    extends IgniteCheckedException

Internal exception class for proper timeout handling.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`HandshakeException​(String msg)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HandshakeException

    public HandshakeException​(String msg)

Parameters:
  `msg` - Error message.